| Home | Libraries | People | FAQ | More

#### zlib::Flush

Flush option.

##### Synopsis

Defined in header `<boost/beast/zlib/zlib.hpp>`

    enum Flush

##### Values

Name | Description
--- | ---
`none` | No policy.
`block` | Flush all pending output on a bit boundary and hold up to seven bits.
`partial` | Flush all pending output on a bit boundary.
`sync` | Flush all pending output on a byte boundary.
`full` | Flush all pending output on a byte boundary and reset state.
`finish` | Compress the input left in a single step.
`trees` | Flush output as in `Flush::block` or at the end of each deflate block header.

##### Description

The allowed flush values for the `deflate_stream::write` and `inflate_stream::write` functions.

Please refer to `deflate_stream::write` and `inflate_stream::write` for details.

##### See Also

`deflate_stream::write`, `inflate_stream::write`